Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.service
Class SettingStoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.rwt.service.SettingStoreException

All Implemented Interfaces:
  Serializable

public class SettingStoreException
extends Exception

This exception indicated a setting store operation failed to complete normally.

Since:
  1.1
See Also:
  Serialized Form

Constructor Summary
`SettingStoreException(String message, Throwable cause)` Constructs a `SettingStoreException` with the specified detail message and cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SettingStoreException

    public SettingStoreException(String message,
                                 Throwable cause)

  Constructs a `SettingStoreException` with the specified detail message and cause.

Parameters:
  `message` - the message; may be null. Can be retrieved using `Throwable.getMessage()`.
  `cause` - the cause; may be `null` to indicate that the cause is not known. Can be retrieved using `Throwable.getCause()`.

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.